# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

version = "0.1.%s" % ((Time.now.utc - Time.utc(2014, 7, 3))/60).round
version_file_path = File.join(lib, "quiverstaskrunner", "version.rb")
updated_content = nil

# update content
File.open(version_file_path, "rb") do |f|
  content = f.read
  updated_content = content.gsub(/(?<=").*?(?=")/, "%s" % version)
end

# overwrite version.rb with new content
File.open(version_file_path, "w") do |f|
  f.write(updated_content)
end


Gem::Specification.new do |spec|
  spec.name          = "quiverstaskrunner"
  spec.version       = version
  spec.authors       = ["ndao"]
  spec.email         = ["nicolas@quivers.com"]
  spec.summary       = %q{Set of modules which defines common tasks to build, deploy C# projects.}
  spec.description   = %q{Set of modules which defines common tasks to build, deploy C# projects. It also allows to query details about the project's hosting environment in Azure}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_runtime_dependency "nokogiri", "~> 1.6"
  spec.add_runtime_dependency "azure-plus", "~> 0.6"
  spec.add_runtime_dependency "colorize", "~> 0.7"
end
